{
  "extends": "../../../tsconfig.json",
  "compilerOptions": {
    "jsx": "react",
    "allowJs": true,
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "types": ["node", "jest"],
    "paths": {
      "@dataplatform/common-state": ["libs/common-state/src/index.ts"],
      "@dataplatform/common-state/modules": ["libs/common-state/src/modules/index.ts"],
      "@dataplatform/common-components": ["libs/common-components/src/index.tsx"],
      "@dataplatform/common-components/*": ["libs/common-components/src/*"],
      "routes": ["apps/client-api-key-management/client-api-key-management/src/routes"],
      "state": ["apps/client-api-key-management/client-api-key-management/src/state"],
      "state/*": ["apps/client-api-key-management/client-api-key-management/src/state/*"],
      "pages": ["apps/client-api-key-management/client-api-key-management/src/pages"],
      "pages/*": ["apps/client-api-key-management/client-api-key-management/src/pages/*"],
      "config": ["apps/client-api-key-management/client-api-key-management/src/config"],
      "components": ["apps/client-api-key-management/client-api-key-management/src/components"],
      "components/*": ["apps/client-api-key-management/client-api-key-management/src/components/*"],
      "codecs": ["apps/client-api-key-management/client-api-key-management/src/codecs"],
      "codecs/*": ["apps/client-api-key-management/client-api-key-management/src/codecs/*"]
    }
  },
  "include": ["**/*.ts", "**/*.tsx"]
}
